githubEdit

Category endpoints

Get category

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired
Responses
chevron-right
200Success
application/json

Category

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringOptional
lastModifiedstring · date-timeRequired
tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
versionnumberRequired
get
/api/categories/{categoryId}

List categories

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25
startAfterIdstringOptional
Responses
chevron-right
200Success
application/json

Category

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringOptional
lastModifiedstring · date-timeRequired
tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
versionnumberRequired
get
/api/categories

Create category

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

CategoryForCreation

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
Responses
post
/api/categories

Delete category

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired
Query parameters
forceDeletionbooleanOptional
Responses
chevron-right
200Success
application/json

Category

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringOptional
lastModifiedstring · date-timeRequired
tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
versionnumberRequired
delete
/api/categories/{categoryId}

List categories (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for Category

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

CategorySearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

CategoryPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/categories/search

Replace category

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired
Body

CategoryForUpdate

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringOptional
tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
versionnumberRequired
Responses
chevron-right
200Success
application/json

Category

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringOptional
lastModifiedstring · date-timeRequired
tenantCategoryIdstring · min: 2 · max: 256Optional

unique identifier for categories used in the customer systems

Pattern: ^[A-Za-z0-9_-]+$
versionnumberRequired
put
/api/categories/{categoryId}

Last updated